| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
optoICC.registers.icc_registers.WindowAverager Class Reference
Inheritance diagram for optoICC.registers.icc_registers.WindowAverager:

## Public Member Functions
| __init__ (self, board=None)
| GetStat (self)
| GetLoggedRegister (self, log_number)
| SetLoggedRegister (self, log_number, value)
| RunLogger (self)
| StopLogger (self)
| GetLog (self, log_number, index, count)
| GetSamplingFrequency (self)
| SetSamplingFrequency (self, value)
| ResetAverage (self, continous=False)
| ResetAverageContinous (self)
| ResetAverageKeepFirst (self)
| ResetStatistics (self)

## Public Attributes
| sys_id
| logged_register_0
| logged_register_1
| logged_register_2
| logged_register_3
| logged_register_4
| logged_register_5
| logged_register_6
| run
| sampling_frequency
| window_len
| mu
| reset_values
| windows_processed
| samples_mean
| samples_max
| samples_min
| reset_stat
| register_log_0
| register_log_1
| register_log_2
| register_log_3
| register_log_4
| register_log_5
| register_log_6
| name

## Protected Member Functions
| _GetLogSegment (self, log_number, index, count)

## Detailed Description

    Device Functionality - WindowAverager
    System ID: 0x32

    A system for logging the periodic values of various readable registers.

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | logged_register_0         | 0x00 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_1         | 0x01 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_2         | 0x02 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_3         | 0x03 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_4         | 0x04 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | logged_register_5         | 0x05 | uint 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | run                       | 0x10 | uint 32-bit |Bool  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | sampling_frequency        | 0x11 | uint 32-bit |float |       | 10000   |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.WindowAverager.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetStat()

optoICC.registers.icc_registers.WindowAverager.GetStat | ( |  | self | ) |

## ◆ GetLoggedRegister()

optoICC.registers.icc_registers.WindowAverager.GetLoggedRegister | ( |  | self,
|  |  | log_number
| ) |  |

## ◆ SetLoggedRegister()

optoICC.registers.icc_registers.WindowAverager.SetLoggedRegister | ( |  | self,
|  |  | log_number,
|  |  | value
| ) |  |

## ◆ RunLogger()

optoICC.registers.icc_registers.WindowAverager.RunLogger | ( |  | self | ) |

## ◆ StopLogger()

optoICC.registers.icc_registers.WindowAverager.StopLogger | ( |  | self | ) |

## ◆ GetLog()

optoICC.registers.icc_registers.WindowAverager.GetLog | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count
| ) |  |

## ◆ _GetLogSegment()

optoICC.registers.icc_registers.WindowAverager._GetLogSegment | ( |  | self,
|  |  | log_number,
|  |  | index,
|  |  | count
| ) |  |
| protected

## ◆ GetSamplingFrequency()

optoICC.registers.icc_registers.WindowAverager.GetSamplingFrequency | ( |  | self | ) |

## ◆ SetSamplingFrequency()

optoICC.registers.icc_registers.WindowAverager.SetSamplingFrequency | ( |  | self,
|  |  | value
| ) |  |

## ◆ ResetAverage()

optoICC.registers.icc_registers.WindowAverager.ResetAverage | ( |  | self,
|  |  | continous = `False`
| ) |  |

## ◆ ResetAverageContinous()

optoICC.registers.icc_registers.WindowAverager.ResetAverageContinous | ( |  | self | ) |

## ◆ ResetAverageKeepFirst()

optoICC.registers.icc_registers.WindowAverager.ResetAverageKeepFirst | ( |  | self | ) |

## ◆ ResetStatistics()

optoICC.registers.icc_registers.WindowAverager.ResetStatistics | ( |  | self | ) |

## Member Data Documentation

## ◆ sys_id

optoICC.registers.icc_registers.WindowAverager.sys_id

## ◆ logged_register_0

optoICC.registers.icc_registers.WindowAverager.logged_register_0

## ◆ logged_register_1

optoICC.registers.icc_registers.WindowAverager.logged_register_1

## ◆ logged_register_2

optoICC.registers.icc_registers.WindowAverager.logged_register_2

## ◆ logged_register_3

optoICC.registers.icc_registers.WindowAverager.logged_register_3

## ◆ logged_register_4

optoICC.registers.icc_registers.WindowAverager.logged_register_4

## ◆ logged_register_5

optoICC.registers.icc_registers.WindowAverager.logged_register_5

## ◆ logged_register_6

optoICC.registers.icc_registers.WindowAverager.logged_register_6

## ◆ run

optoICC.registers.icc_registers.WindowAverager.run

## ◆ sampling_frequency

optoICC.registers.icc_registers.WindowAverager.sampling_frequency

## ◆ window_len

optoICC.registers.icc_registers.WindowAverager.window_len

## ◆ mu

optoICC.registers.icc_registers.WindowAverager.mu

## ◆ reset_values

optoICC.registers.icc_registers.WindowAverager.reset_values

## ◆ windows_processed

optoICC.registers.icc_registers.WindowAverager.windows_processed

## ◆ samples_mean

optoICC.registers.icc_registers.WindowAverager.samples_mean

## ◆ samples_max

optoICC.registers.icc_registers.WindowAverager.samples_max

## ◆ samples_min

optoICC.registers.icc_registers.WindowAverager.samples_min

## ◆ reset_stat

optoICC.registers.icc_registers.WindowAverager.reset_stat

## ◆ register_log_0

optoICC.registers.icc_registers.WindowAverager.register_log_0

## ◆ register_log_1

optoICC.registers.icc_registers.WindowAverager.register_log_1

## ◆ register_log_2

optoICC.registers.icc_registers.WindowAverager.register_log_2

## ◆ register_log_3

optoICC.registers.icc_registers.WindowAverager.register_log_3

## ◆ register_log_4

optoICC.registers.icc_registers.WindowAverager.register_log_4

## ◆ register_log_5

optoICC.registers.icc_registers.WindowAverager.register_log_5

## ◆ register_log_6

optoICC.registers.icc_registers.WindowAverager.register_log_6

## ◆ name

optoICC.registers.icc_registers.WindowAverager.name